### Method

# GLib VariantType is_maybe

since: 2.24

#### Declaration

    gboolean
    g_variant_type_is_maybe (
      const GVariantType* type
    )

#### Description

Determines if the given `type` is a maybe type. This is true if the type string for `type` starts with an ‘m’.

This function returns `TRUE` for any indefinite type for which every definite subtype is a maybe type — `G_VARIANT_TYPE_MAYBE`, for example.

Available since: 2.24

#### Return value

Type: `gboolean`

`TRUE` if `type` is a maybe type

Since 2.24